/*
 * @(#)BattleShips.java 1.0 03/08/26
 *
 * Written by James McMahon
 */

import java.awt.*;
import java.applet.*;
import javax.swing.*;

public class HumanPlayer extends Player {
	
	/**
	 * The main parent class required to set up the Board object
	 */
	private BattleShips parent = null;
	
	/**
	 * The number of squares across for the board
	 */
	private int across = 6;
	
	/**
	 * The number of squares down for the board
	 */
	private int down = 6;
	
	/**
	 * Creates a human player with a board of the specified sizes
	 * 
	 * @param boardSizeAcross The number of squares across for the board
	 * @param boardSizeDown The number of squares down for the board
	 * @param parentOwner The main applet clas necessary for creating the board object
	 */
	public HumanPlayer(int boardSizeAcross, int boardSizeDown, BattleShips parentOwner) {
		across = boardSizeAcross;
		down   = boardSizeDown; 
		parent = parentOwner;
	}
	
	/**
	 * Returns a board set to this players size settings
	 * 
	 * @return The board object of this player
	 */
	public Board getPlayersBoard() {
		return new Board(across,down,true,parent);	
	}	
}